import dayjs from "dayjs";
import React from "react";
import { Configs, Period, DateValueType, DateType, DateRangeType, ClassNamesTypeProp, ClassNameParam } from "../types";
interface DatepickerStore {
    input?: React.RefObject<HTMLInputElement>;
    asSingle?: boolean;
    accentColor: string;
    configs?: Configs | null;
    calendarContainer: React.RefObject<HTMLDivElement> | null;
    arrowContainer: React.RefObject<HTMLDivElement> | null;
    hideDatepicker: () => void;
    period: Period;
    changePeriod: (period: Period) => void;
    dayHover: string | null;
    changeDayHover: (day: string | null) => void;
    inputText: string;
    changeInputText: (text: string) => void;
    updateFirstDate: (date: dayjs.Dayjs) => void;
    changeDatepickerValue: (value: DateValueType, e?: HTMLInputElement | null | undefined) => void;
    showFooter?: boolean;
    placeholder?: string | null;
    separator?: string;
    i18n: string;
    value: DateValueType;
    disabled?: boolean;
    inputClassName?: ((args?: ClassNameParam) => string) | string | null;
    containerClassName?: ((args?: ClassNameParam) => string) | string | null;
    toggleClassName?: ((args?: ClassNameParam) => string) | string | null;
    toggleIcon?: (open: boolean) => React.ReactNode;
    readOnly?: boolean;
    startWeekOn?: string | null;
    displayFormat?: string;
    minDate?: DateType | null;
    maxDate?: DateType | null;
    disabledDates?: DateRangeType[] | null;
    inputId?: string;
    inputName?: string;
    classNames?: ClassNamesTypeProp | undefined;
    invalid?: boolean;
    emptyLabel?: string;
    fillLabel?: string;
    invalidColor?: string;
    calendarColors: {
        disabled: string;
        text: string;
        hoverBgClass: string;
        activeText: string;
        background: string;
        border: string;
        otherMonth: string;
    };
}
declare const DatepickerContext: React.Context<DatepickerStore>;
export default DatepickerContext;
